[Dell Alienware 17 R3] FN+F11 Enable/Disable touchpad not working

Bug #1605433 reported by adin on 2016-07-22
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned
systemd (Ubuntu)
Undecided
Unassigned

Bug Description

The touchpad does not work as expected. It can't be enabled or disabled through FN+F11 combination.

The light (in the pad) always turns on, regardless of its non functionality.

The problem seems related to bug #1523738, and some say solution #24 (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1523738/comments/24) works, but it didn't for me.

WORKAROUND: Executing the following via a terminal allows one to disable and enable the touchpad:
xinput set-prop 13 "Device Enabled" 1
xinput set-prop 13 "Device Enabled" 0

But it only works if it is enabled from the beginning from the systems configuration GUI. If it is disabled, it doesn't do the expected behavior.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: ubuntu-release-upgrader-core 1:16.04.14
ProcVersionSignature: Ubuntu 4.4.0-31.50-generic 4.4.13
Uname: Linux 4.4.0-31-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia_modeset nvidia
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: Unity
Date: Thu Jul 21 21:07:42 2016
InstallationDate: Installed on 2016-07-03 (18 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
PackageArchitecture: all
SourcePackage: ubuntu-release-upgrader
Symptom: release-upgrade
UpgradeStatus: No upgrade log present (probably fresh install)
mtime.conffile..etc.update-manager.release-upgrades: 2016-07-16T11:29:07.694480
---
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: adin 4247 F.... pulseaudio
CurrentDesktop: Unity
DistroRelease: Ubuntu 16.04
HibernationDevice: RESUME=UUID=c0bba13c-6fa5-4545-a7ee-cd58b1e6e3bd
InstallationDate: Installed on 2016-07-03 (24 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
MachineType: Alienware Alienware 17 R3
NonfreeKernelModules: nvidia_uvm nvidia_modeset nvidia
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-31-generic.efi.signed root=UUID=dc6d8cac-eff1-4dce-97fd-949d7268d2d9 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 4.4.0-31.50-generic 4.4.13
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-31-generic N/A
 linux-backports-modules-4.4.0-31-generic N/A
 linux-firmware 1.157.2
Tags: xenial
Uname: Linux 4.4.0-31-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 11/11/2015
dmi.bios.vendor: Alienware
dmi.bios.version: 1.2.3
dmi.board.name: Alienware 17 R3
dmi.board.vendor: Alienware
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Alienware
dmi.chassis.version: Not Specified
dmi.modalias: dmi:bvnAlienware:bvr1.2.3:bd11/11/2015:svnAlienware:pnAlienware17R3:pvr1.2.3:rvnAlienware:rnAlienware17R3:rvrA00:cvnAlienware:ct10:cvrNotSpecified:
dmi.product.name: Alienware 17 R3
dmi.product.version: 1.2.3
dmi.sys.vendor: Alienware

adin (adin-rivera) wrote :
affects: ubuntu-release-upgrader (Ubuntu) → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1605433

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.7 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.7

Changed in linux (Ubuntu):
importance: Undecided → Medium

apport information

tags: added: apport-collected
description: updated
adin (adin-rivera) wrote : CRDA.txt

apport information

apport information

apport information

apport information

adin (adin-rivera) wrote : Lspci.txt

apport information

adin (adin-rivera) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

I tried and the problem persists. I added the tag as instructed.

tags: added: kernel-bug-exists-upstream
removed: apport-collected
tags: added: bios-outdated-1.2.15 kernel-bug-exists-upstream-4.7
adin (adin-rivera) on 2016-08-01
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

adin, as a WORKAROUND, are you able to disable/enable the touchpad via synclient as noted in https://help.ubuntu.com/community/SynapticsTouchpad ?

tags: added: latest-bios-1.2.15
removed: bios-outdated-1.2.15
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
adin (adin-rivera) wrote :

The synclient commands does not work.

However,

xinput set-prop 13 "Device Enabled" 1
xinput set-prop 13 "Device Enabled" 0

does enable and disable the touchpad. But it only works if it is enable from the beginning from the systems configuration GUI. If it is disabled, it doesn't do the expected behavior.

adin, you may want to run through https://wiki.ubuntu.com/Hotkeys/Troubleshooting to see if it reveals the root cause to this.

adin (adin-rivera) wrote :

I ran through the link above.

There is no gnome-settings-daemon running.

When running xev, the FN plus sound keys (F3, F4 and F5) work as expected. They produce output and perform the corresponding action. However, FN + brightness (F9 and F10) and the touchpad (F11) do not.

As the guide suggests, the acpi_listen shows output for the brightness (F9 and F10). However, there is no output for the FN+F11 (touchpad).

I collected the logs as suggested by the link and I'm attaching them. I see that there are some "touchpad" entries in the logs, but I can't not make sense out of the entries.

adin, as the article advises, could you please attach your files separately, uncompressed, and untarred?

adin (adin-rivera) wrote :

Attaching them again.

adin (adin-rivera) wrote :
adin (adin-rivera) wrote :
adin (adin-rivera) on 2016-09-24
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
adin (adin-rivera) wrote :

Updated to Ubuntu 16.10, and the problem persists.

tags: added: yakkety
adin (adin-rivera) wrote :

Update to Ubuntu 18.04 and 18.10, and the problem persists on both.

tags: added: bionic bios-outdated-1.6.1 cosmic needs-upstream-testing
removed: kernel-bug-exists-upstream latest-bios-1.2.15
summary: - [Dell Alienware 17R3] enable/disable touchpad not working
+ [Dell Alienware 17 R3] FN+F11 Enable/Disable touchpad not working
Changed in linux (Ubuntu):
importance: Medium → Low
status: Confirmed → Incomplete
description: updated
tags: added: regression-potential
Kai-Heng Feng (kaihengfeng) wrote :

Seems like this issue is about touchpad hotkey, but does touchpad work at all?

adin (adin-rivera) wrote :

You are right. The touchpad work, but the hotkey (Fn+F11) is not working. Enabling and disabling it through the settings works too. But the hotkey (built in configuration) is not.

Kai-Heng Feng (kaihengfeng) wrote :

Please install and run `evtest`. Pick the one with "Dell WMI" or similar, press the toggle hotkey, then paste the output here.

adin (adin-rivera) wrote :

The output is as follows. Note that I tried to trigger some of the events by doing the Fn+FX, but none gave a response.

$ sudo evtest
No device specified, trying to scan all of /dev/input/event*
Available devices:
/dev/input/event0: Lid Switch
/dev/input/event1: Power Button
/dev/input/event2: Power Button
/dev/input/event3: AT Translated Set 2 keyboard
/dev/input/event4: SynPS/2 Synaptics TouchPad
/dev/input/event5: Video Bus
/dev/input/event6: Video Bus
/dev/input/event7: Integrated_Webcam_HD: Integrate
/dev/input/event8: Dell WMI hotkeys
/dev/input/event9: HDA Intel PCH Mic
/dev/input/event10: HDA Intel PCH Headphone
/dev/input/event11: HDA Intel PCH HDMI/DP,pcm=3
/dev/input/event12: HDA Intel PCH HDMI/DP,pcm=7
/dev/input/event13: HDA Intel PCH HDMI/DP,pcm=8
/dev/input/event14: HDA Intel PCH HDMI/DP,pcm=9
/dev/input/event15: HDA Intel PCH HDMI/DP,pcm=10
/dev/input/event16: Logitech Wireless Mouse M560
Select the device event number [0-16]: 8
Input driver version is 1.0.1
Input device ID: bus 0x19 vendor 0x0 product 0x0 version 0x0
Input device name: "Dell WMI hotkeys"
Supported events:
  Event type 0 (EV_SYN)
  Event type 1 (EV_KEY)
    Event code 148 (KEY_PROG1)
    Event code 149 (KEY_PROG2)
    Event code 161 (KEY_EJECTCD)
    Event code 202 (KEY_PROG3)
    Event code 203 (KEY_PROG4)
    Event code 224 (KEY_BRIGHTNESSDOWN)
    Event code 225 (KEY_BRIGHTNESSUP)
    Event code 227 (KEY_SWITCHVIDEOMODE)
    Event code 236 (KEY_BATTERY)
    Event code 238 (KEY_WLAN)
    Event code 240 (KEY_UNKNOWN)
    Event code 248 (KEY_MICMUTE)
    Event code 431 (KEY_DISPLAYTOGGLE)
  Event type 4 (EV_MSC)
    Event code 4 (MSC_SCAN)
Properties:
Testing ... (interrupt to exit)

adin:

1) To clarify, when you first installed Ubuntu 16.04 were you able to toggle the touchpad?

2) Have you tested any release older than 16.04?

3) To keep this relevant to upstream, one would want to periodically check for, and test the latest mainline kernel (now 5.0-rc8) as it is released. Could you please advise?

4) It wouldn't hurt to keep an updated BIOS as it helps to further root cause (and security best practice).

adin (adin-rivera) wrote :

1. I was able to toggle it on the command line or using the settings. This is still true for subsequent releases, up to 18.10.

2. Yes. I have been testing every release up to current 18.10, and the problem with the keyboard combination persists (see #28 and #29, sadly I stopped reporting and just went back to see if this can be solved). But the touchpad can be enable or disable from command line or through the settings.

3. I have been testing released kernels, and kept the system up to date.

4. The BIOS is updated too.

Note that other key combinations (like brightness for the screen, or the volume settings work with the function key) work, but not the touchpad enable/disable key combination.

adin:

1)
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1605433/comments/34
>"To clarify, when you first installed Ubuntu 16.04 were you able to toggle the touchpad?"

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1605433/comments/35
>"I was able to toggle it on the command line or using the settings."

To further clarify, were you able to use the Fn+F11 keyboard combination to successfully enable/disable the touchpad when you first installed 16.04?

2)
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1605433/comments/34
>"Have you tested any release older than 16.04?"

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1605433/comments/35
"Yes I have been testing every release up to current 18.10".

I'm afraid that didn't answer my question. I asked about releases older than 16.04, not newer. Please speak to this.

3)
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1605433/comments/35
>"The BIOS is updated too"

Please provide the output of the following terminal command (not perform an apport-collect):
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

4)
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1605433/comments/34
>" To keep this relevant to upstream, one would want to periodically check for, and test the latest mainline kernel (now 5.0-rc8) as it is released. Could you please advise?"

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1605433/comments/35
>"I have been testing released kernels"

I'm afraid this didn't answer my question. I'm specifically asking about mainline/upstream kernels (not Ubuntu kernels) that are found at https://wiki.ubuntu.com/Kernel/MainlineBuilds . Please speak to this only.

adin (adin-rivera) wrote :

1. No, the combination Fn+F11 never worked on 16.04.

2. Sorry, I misread that. No, I haven't tested on older releases, just future ones.

3. I'm not on that computer right now. I will provide it later.

4. I haven't tested on the upstream kernels now. I did test on the upstreams during 2016 when first reported. But not any more. I will do the test and report back the results later today.

adin (adin-rivera) wrote :

I'm completing the reports below:

3. $ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
[sudo] password for adin:
1.6.1
07/17/2018

4. On kernel version 5.0.0-050000rc8-generic the problem persists.

* I also ran the previously requested `evtest` and got

$ sudo evtest
[sudo] password for adin:
No device specified, trying to scan all of /dev/input/event*
Available devices:
/dev/input/event0: Lid Switch
/dev/input/event1: Power Button
/dev/input/event2: Power Button
/dev/input/event3: AT Translated Set 2 keyboard
/dev/input/event4: SynPS/2 Synaptics TouchPad
/dev/input/event5: Logitech Anywhere MX
/dev/input/event6: Dell WMI hotkeys
/dev/input/event7: Integrated_Webcam_HD: Integrate
/dev/input/event8: Video Bus
/dev/input/event9: Video Bus
/dev/input/event10: HDA Intel PCH Mic
/dev/input/event11: HDA Intel PCH Headphone
/dev/input/event12: HDA Intel PCH HDMI/DP,pcm=3
/dev/input/event13: HDA Intel PCH HDMI/DP,pcm=7
/dev/input/event14: HDA Intel PCH HDMI/DP,pcm=8
/dev/input/event15: HDA Intel PCH HDMI/DP,pcm=9
/dev/input/event16: HDA Intel PCH HDMI/DP,pcm=10
Select the device event number [0-16]: 6
Input driver version is 1.0.1
Input device ID: bus 0x19 vendor 0x0 product 0x0 version 0x0
Input device name: "Dell WMI hotkeys"
Supported events:
  Event type 0 (EV_SYN)
  Event type 1 (EV_KEY)
    Event code 148 (KEY_PROG1)
    Event code 149 (KEY_PROG2)
    Event code 161 (KEY_EJECTCD)
    Event code 202 (KEY_PROG3)
    Event code 203 (KEY_PROG4)
    Event code 224 (KEY_BRIGHTNESSDOWN)
    Event code 225 (KEY_BRIGHTNESSUP)
    Event code 227 (KEY_SWITCHVIDEOMODE)
    Event code 236 (KEY_BATTERY)
    Event code 238 (KEY_WLAN)
    Event code 240 (KEY_UNKNOWN)
    Event code 248 (KEY_MICMUTE)
    Event code 431 (KEY_DISPLAYTOGGLE)
  Event type 4 (EV_MSC)
    Event code 4 (MSC_SCAN)
Properties:
Testing ... (interrupt to exit)

tags: added: kernel-bug-exists-upstream-5.0-rc8 latest-bios-1.6.1
removed: bios-outdated-1.6.1 kernel-bug-exists-upstream-4.7 needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Triaged
Kai-Heng Feng (kaihengfeng) wrote :

Please add the following to /lib/udev/hwdb.d/60-keyboard.hwdb

diff --git a/hwdb/60-keyboard.hwdb b/hwdb/60-keyboard.hwdb
index 355544030b..f3a7c995c2 100644
--- a/hwdb/60-keyboard.hwdb
+++ b/hwdb/60-keyboard.hwdb
@@ -188,6 +188,7 @@ evdev:atkbd:dmi:bvn*:bvr*:bd*:svnAcer*:pnAOA*:pvr*
 ###########################################################

 evdev:atkbd:dmi:bvn*:bvr*:bd*:svnAlienware*:pn*
+ KEYBOARD_KEY_81=f21 # Touchpad toggle
  KEYBOARD_KEY_8a=ejectcd

 # Alienware/Dell reserves these keys; safe to apply on all their devices

Kai-Heng Feng (kaihengfeng) wrote :

After the modification, run `systemctl daemon-reload`, and retest.

Kai-Heng Feng (kaihengfeng) wrote :

It should be `systemd-hwdb update && udevadm trigger`. Or just reboot before testing.

adin (adin-rivera) wrote :

The patch on #39 solved the problem.

However, after applying #40, and then #41 I was able to enable the touchpad. But disabling wasn't working consistently.

After reboot, the touchpad is working, and the enable/dissable feature now shows an overlay with the enable/disable status (like with brightness and sound effects).

I'm not sure if that is relevant, but rebooting let the system operational.

Thanks all for your help!

Kai-Heng Feng (kaihengfeng) wrote :
Changed in linux (Ubuntu):
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers